classification
Title: InspectLoader.is_package is not an abstract method
Type: Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Jun, docs@python, lukasz.langa, miss-islington, python-dev
Priority: normal Keywords: patch

Created on 2021-02-12 14:40 by Jun, last changed 2021-07-12 15:13 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24517 merged python-dev, 2021-02-12 14:48
PR 26321 merged miss-islington, 2021-05-23 19:20
PR 26322 merged miss-islington, 2021-05-23 19:20
Messages (3)
msg386866 - (view) Author: Jun (Jun) * Date: 2021-02-12 14:40
In the documentation of importlib:
https://docs.python.org/3/library/importlib.html#importlib.abc.InspectLoader

It says InspectLoader.is_package is an abstract method while it is not in the implementation.

@abc.abstractmethod decorator was removed with this commit
https://github.com/python/cpython/commit/b523f8433a8982e10eb41a3e2b37ee0e6d6a6e00
msg394221 - (view) Author: miss-islington (miss-islington) Date: 2021-05-23 19:37
New changeset 069bc4f5b45b28c7685d01c2b86659887f33f804 by Miss Islington (bot) in branch '3.10':
bpo-43207: InspectLoader.is_package is not an abstract method (GH-24517)
https://github.com/python/cpython/commit/069bc4f5b45b28c7685d01c2b86659887f33f804
msg397325 - (view) Author: Ɓukasz Langa (lukasz.langa) * (Python committer) Date: 2021-07-12 15:12
New changeset 779983ed7f86610be4a7201deeffdcb8608977e0 by Miss Islington (bot) in branch '3.9':
bpo-43207: InspectLoader.is_package is not an abstract method (GH-24517) (#26322)
https://github.com/python/cpython/commit/779983ed7f86610be4a7201deeffdcb8608977e0
History
Date User Action Args
2021-07-12 15:13:52lukasz.langasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-07-12 15:12:03lukasz.langasetnosy: + lukasz.langa
messages: + msg397325
2021-05-23 19:37:24miss-islingtonsetmessages: + msg394221
2021-05-23 19:20:07miss-islingtonsetpull_requests: + pull_request24916
2021-05-23 19:20:01miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request24915
2021-02-12 14:48:40python-devsetkeywords: + patch
nosy: + python-dev

pull_requests: + pull_request23304
stage: patch review
2021-02-12 14:40:00Juncreate